INTERFACE
SUBROUTINE m7_equiz&
 & (kidia , kfdia , klon , klev ,&
 & papp1 , pttn , ptp1 , prelhum,&
 & pm6rp , pm6dry, prhop, pww , paernl ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : naermod, nmod, nsol,&
 & ibcks, iocks, issas, ibcas,&
 & iocas, iduas, isscs, ibccs,&
 & ioccs, iducs,&
 & wvb, gmb, avo, wh2so4,&
 & ram2cmr, dh2so4, dh2o 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) :: papp1(klon ,klev), ptp1(klon ,klev),&
 & prelhum(klon ,klev), pttn(klon ,klev,naermod),&
 & paernl(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(OUT):: prhop(klon ,klev,nmod),&
 & pm6dry(klon ,klev,nsol), pm6rp(klon ,klev,nmod),&
 & pww(klon ,klev,nmod) 
END SUBROUTINE m7_equiz
END INTERFACE
